/* 	Viewscreen, to display, zoom, and scroll images */

/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */


#ifndef VIEWSCRN_H
#define VIEWSCRN_H


#include "lcars24.h"
#include "parts.h"
#include "getkey.h"
#include "mars28.h"
#include "brack1.h"
#include "playwav.h"
#include "lccolor.h"
#include "standby.h"
#include "scrnshot.h"
#include "errmsg.h"
#include "headline.h"


void VsDisplayZoomedSize(float zoom, int x, int y);
void VsDisplayZoomFactor(int percent);
void VsImageService(char Mode);
void VsZoomRefresh();
void VsRefresh();
void VsIndication();
int VsLoadImageFile(char *filespec);
void ViewscreenFrame();
void VsScrollLeft(int Amount);
void VsScrollRight(int Amount);
void VsScrollUp(int Amount);
void VsScrollDown(int Amount);
int VsImageZoomWindow();
int VsImageScrollWindow();
void ViewscreenInit();
int Viewscreen(char *filespec);


#endif


